Package org.eclipse.wst.xml.xpath.ui.views

## org.eclipse.wst.xml.xpath.ui.views
Class DOMTreeContentProvider

    public class DOMTreeContentProvider
    extends java.lang.Object

## Field Summary

`package-private org.w3c.dom.Node` | `node`
`package-private static java.lang.Object[]` | `NOTHING`

## Constructor Summary

`DOMTreeContentProvider()`

## Method Summary

`public void` | `dispose()`
`public java.lang.Object[]` | `getChildren(java.lang.Object parentElement)`
`public java.lang.Object[]` | `getElements(java.lang.Object inputElement)`
`public java.lang.Object` | `getParent(java.lang.Object element)`
`public boolean` | `hasChildren(java.lang.Object element)`
`public void` | `inputChanged(Viewer viewer , java.lang.Object oldInput , java.lang.Object newInput)`

## Field Detail

## node

`package-private org.w3c.dom.Node node`

## NOTHING

`package-private static java.lang.Object[] NOTHING`

## Constructor Detail

## DOMTreeContentProvider

`public DOMTreeContentProvider()`

## Methods Detail

## dispose

`public void dispose()`

## getChildren

`public java.lang.Object[] getChildren(java.lang.Object parentElement)`

### Parameters

`parentElement`

### Returns

`java.lang.Object[]`

## getElements

`public java.lang.Object[] getElements(java.lang.Object inputElement)`

### Parameters

`inputElement`

### Returns

`java.lang.Object[]`

## getParent

`public java.lang.Object getParent(java.lang.Object element)`

### Parameters

`element`

### Returns

`java.lang.Object`

## hasChildren

`public boolean hasChildren(java.lang.Object element)`

### Parameters

`element`

### Returns

`boolean`

## inputChanged

`public void inputChanged(Viewer viewer , java.lang.Object oldInput , java.lang.Object newInput)`

### Parameters

`viewer`

`oldInput`

`newInput`